v1.0
get
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/dndexception
Retrieves all details of the DND Exceptions. Rights: DispensationExceptionGet.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : DNDExceptionsResponse
Type:
objectTitle:
DNDExceptionsResponseResponse object containing list of DND exceptions.
Show Source
Nested Schema : dndExceptions
Type:
Show Source
array-
Array of:
object DNDExceptionListResponse
Title:
DNDExceptionListResponseResponse object containing DND exceptions details.
Nested Schema : DNDExceptionListResponse
Type:
objectTitle:
DNDExceptionListResponseResponse object containing DND exceptions details.
Show Source
-
allCountries: boolean
Title:
All CountriesIndicates whether the exception applies to all countries.Example:true -
countries: array
Countries
Title:
CountriesUnique Items Required:trueISO codes of countries. -
dndExceptionId: string
(uuid)
Title:
DND Exception IDDo Not Dispense exception identifier. -
kitTypeSrcId: array
Kit Type Source IDs
Title:
Kit Type Source IDsUnique Items Required:trueList of kit type source IDs. -
siteIds: array
Site IDs
Title:
Site IDsUnique Items Required:trueList of site IDs. -
visitDND: array
visitDND
Nested Schema : Countries
Type:
arrayTitle:
CountriesUnique Items Required:
trueISO codes of countries.
Show Source
-
Array of:
string
Title:
CountriesISO codes of countries.Example:["IN","US"]
Example:
[
"IN",
"US"
]Nested Schema : Kit Type Source IDs
Type:
arrayTitle:
Kit Type Source IDsUnique Items Required:
trueList of kit type source IDs.
Show Source
-
Array of:
string
Title:
Kit Type Source IDsList of kit type source IDs.Example:["B1B8327AFAA6412287106192AB5984EF","ABC8327AFAA6412287106192AB5984EF"]
Example:
[
"B1B8327AFAA6412287106192AB5984EF",
"ABC8327AFAA6412287106192AB5984EF"
]Nested Schema : Site IDs
Type:
arrayTitle:
Site IDsUnique Items Required:
trueList of site IDs.
Show Source
-
Array of:
string
Title:
Site IDsList of site IDs.Example:["B1B8327AFAA6412287106192AB5984EF","ABC8327AFAA6412287106192AB5984EF"]
Example:
[
"B1B8327AFAA6412287106192AB5984EF",
"ABC8327AFAA6412287106192AB5984EF"
]Nested Schema : visitDND
Type:
Show Source
array-
Array of:
object VisitDND v1.0
Title:
VisitDND v1.0Request to create a new VisitDND.
Nested Schema : VisitDND v1.0
Type:
objectTitle:
VisitDND v1.0Request to create a new VisitDND.
Show Source
-
dnd(required): number
(BigDecimal)
Title:
DNDMinimum Value:0Minimum Value:> falseMaximum Value:99999Maximum Value:< falseDo not dispense value.Example:2 -
visitSrcId(required): string
(uuid)
Title:
Visit Source IDVisit source identifier.
400 Response
Dispensation logic (dynamic DND) request is not valid
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object404 Response
Invalid study ID or version
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
object